/* Encyklopedie jazyka C
 *
 * Modul s pomocnými funkcemi pro tisk číselných hodnot v bitové podobě.
 *
 * 2023-08-15-18.31
 */

/* Copyright (c) David Martinek, 2023
 * david.martinek.78 (zavináč) gmail.com
 *
 * This work is licensed under a Creative Commons
 * Attribution-NonCommercial-ShareAlike 4.0 International License.
 * (CC BY-NC-SA 4.0)
 * https://creativecommons.org/licenses/by-nc-sa/4.0/
 *
 * Toto dílo je licencováno pole licence Creative Commons
 * Uveďte původ-Neužívejte dílo komerčně-Zachovejte licenci 4.0 Mezinárodní
 * (CC BY-NC-SA 4.0)
 * https://creativecommons.org/licenses/by-nc-sa/4.0/deed.cs
 */

#ifndef BITOVY_TISK_H_INCLUDED
#define BITOVY_TISK_H_INCLUDED

/** Vytiskne jednobajtovou hodnotu ve dvojkové soustavě.
 *
 * \param bajt char Hodnota, která se bude tisknout.
 */
void tiskni8Bitu(char bajt);


/** \brief Zobecněná verze funkce tiskni8Bitu.
 *
 * \param cislo int Hodnota, která se bude tisknout jako posloupnost bitů.
 * \param n unsigned char Počet bitů, které se budou tisknout.
 * \param zarovnej bool Pokud je true, zarovná se zleva mezerami na šířku intu.
 */
void tiskniNBitu(unsigned long cislo, unsigned char n, unsigned char zarovnani);


/** \brief Vytiskne bity hodnoty typu float.
 *
 * \param cislo float Hodnota, jejíž bitová podoba se bude tisknout.
 */
void tiskniBityFloat(float cislo);


/** \brief Vytiskne bity hodnoty typu double.
 *
 * \param cislo float Hodnota, jejíž bitová podoba se bude tisknout.
 */
void tiskniBityDouble(double cislo);


#endif // BITOVY-TISK_H_INCLUDED
